Bug 10941 - nice level для сервера не регулируется и по умолчанию значение слишком большое
: nice level для сервера не регулируется и по умолчанию значение слишком большое
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MySQL-server)
: unstable
: all Linux
: P1 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-26 15:48 by
Modified: 2012-07-19 18:17 (History)


Attachments
mysqld initscripts patch (534 bytes, patch)
2007-02-26 15:49, Andrew Kornilov
no flags Details | Diff
mysqld initscripts patch, v2 (1008 bytes, patch)
2007-02-26 16:27, Andrew Kornilov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-26 15:48:53
Как оказалось, все наши mysqld-и по непонятной причине работаю с nice level +10
Imho, это, во-первых, нужно вынести в sysconfig, во-вторых, поменять значение
по
умолчанию.
Предварительный патч прилагается (при его использовании nice level будет не
только у mysqld, но и mysqld_wrapper, но это не страшно, по-моему; наш
start_daemon, насколько я понял, всегда передает nice level start-dtop-daemon
[по умолчанию 0], поэтому достаточно определить переменную NICE в sysconfig)
------- Comment #1 From 2007-02-26 15:49:55 -------
Created an attachment (id=1837) [details]
mysqld initscripts patch

draft
------- Comment #2 From 2007-02-26 16:27:30 -------
Created an attachment (id=1838) [details]
mysqld initscripts patch, v2

draft, version 2 :)
Оказалось, что NICE обнуляется при запуске start_daemon
------- Comment #3 From 2007-05-11 17:51:15 -------
Упс, чуть-чуть неправильный патч, в первом изменении $NICE должен добавляться,
не на то diff запустил :(
------- Comment #4 From 2007-05-21 03:01:03 -------
Все-таки это major, а не enh. Потом скажут, что в ALTLinux медленнее, чем у
всех
работает mysql :)
------- Comment #5 From 2007-05-29 21:39:51 -------
Будто спасибо:

MySQL - MySQL: A very fast and reliable SQL database engine             [28M]
* Mon May 28 2007 L.A. Kostis <lakostis@altlinux> 5.0.41-alt1
[...]
- Allow custom nice setting for mysqld (fix ALT #10941).
------- Comment #6 From 2007-05-30 09:05:16 -------
Fixed in 5.0.41-alt1.
------- Comment #7 From 2012-07-19 17:15:31 -------
Коллеги, приветствую.

Похоже, это давно опять сломалось. Переменная игнорируется.
------- Comment #8 From 2012-07-19 18:11:47 -------
Заглянул в mysqld_wrapper, есть там NICE; проверил, работает:

$ rpm -q MySQL-server         
MySQL-server-5.1.63-alt1
$ grep NICE /etc/sysconfig/mysqld
NICE=
$ sudo service mysqld start
Adjusting environment for mysqld:                                     [ DONE ]
Starting mysqld service:                                              [ DONE ]
$ ps ax -o nice,fname | grep mysqld
  0 mysqld_w
 10 mysqld
$ sudo sed -i 's/^NICE=$/&3/' /etc/sysconfig/mysqld
$ sudo service mysqld restart                    
Sending TERM signal to mysqld:                                        [ DONE ]
Waiting, while mysqld actualy stopped:                                [ DONE ]
Adjusting environment for mysqld:                                     [ DONE ]
Starting mysqld service:                                              [ DONE ]
$ ps ax -o nice,fname | grep mysqld
  0 mysqld_w
  3 mysqld
$ _
------- Comment #9 From 2012-07-19 18:17:56 -------
Да, действительно, сейчас уже опять работает. Не работал где-то в p5, кажется,
Ошибся.